ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015021ClearOSapp-network - Network Settingspublic2017-05-23 01:202017-08-12 07:03
Reporterdloper 
Assigned Topbaldwin 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.3.1 UpdatesFixed in Version7.3.1 Updates 
Summary0015021: EXTRA_LANS needs to accept larger CIDR
DescriptionCurrently EXTRA_LANS does not support /16 or other large CIDR.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005771)
pbaldwin (administrator)
2017-06-22 17:45

There's no API access to the configuration parameter, so there's no limitation from the configuration perspective. You can add whatever you want, including bad data. Is there an app (web proxy?) that does not like large networks?
(0006191)
dloper (administrator)
2017-08-11 13:04

The app that is having issue here is squid which complains when you have overlapping subnets. So if you have a subnet of 10.0.0.0-10.63.255.255 then you would input 10.10.0.0/10 but this would fail causing you to enter 64 distinct 'class B' subnets in the EXTRA_LANS parameter. A customer ran into this and luckily was only using about 12 of the 64.
(0006261)
pbaldwin (administrator)
2017-08-12 07:02

No change required.

EXTRA_LANS supports /16 and it's up to the network administrator to layout and configure subnets.

- Issue History
Date Modified Username Field Change
2017-05-23 01:20 dloper New Issue
2017-06-15 09:33 pbaldwin Status new => acknowledged
2017-06-22 17:45 pbaldwin Note Added: 0005771
2017-06-22 17:45 pbaldwin Assigned To => pbaldwin
2017-06-22 17:45 pbaldwin Status acknowledged => feedback
2017-08-11 13:04 dloper Note Added: 0006191
2017-08-11 13:04 dloper Status feedback => assigned
2017-08-12 06:59 pbaldwin Target Version 7.4.0 Beta 1 => 7.3.1 Updates
2017-08-12 07:02 pbaldwin Note Added: 0006261
2017-08-12 07:02 pbaldwin Status assigned => resolved
2017-08-12 07:02 pbaldwin Resolution open => no change required
2017-08-12 07:03 pbaldwin Status resolved => closed
2017-08-12 07:03 pbaldwin Fixed in Version => 7.3.1 Updates